Issue 11968 - Missing linker mapfiles for dynamically loaded libraries
Missing linker mapfiles for dynamically loaded libraries
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
644
All All
: P3 trivial (vote)
: OOo 1.1 Beta2
Assigned To: sven.jacobi
issues@framework
:
Depends on:
Blocks: 11945
  Show dependency treegraph
 
Reported: 2003-03-02 19:44 UTC by matthias.huetsch
Modified: 2003-04-29 13:24 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2003-03-02 19:44:45 UTC
Several dynamically loaded shared libraries delivered by modules desktop /
framework fail to provide (symbol scoping) linker mapfiles.

For a detailed description see the 'meta task' issue 11945.
Comment 1 matthias.huetsch 2003-03-02 19:46:29 UTC
Added tentative target milestone 'OOo 1.1 Beta2'.
Comment 2 matthias.huetsch 2003-03-02 20:15:46 UTC
Affected libraries in the 'framework' module are at least 'libfwk' and
'libfwl'.

All affected libraries in the 'desktop' module have already been fixed
with tag 'cws_srx644_tune01'.
Comment 3 Mathias_Bauer 2003-03-03 11:21:00 UTC
.
Comment 4 andreas.schluens 2003-03-06 05:52:51 UTC
.
Comment 5 matthias.huetsch 2003-03-06 21:39:08 UTC
Hi Andreas,

I've already added module 'framework' to CWS 'tune01'.

Also affected is module 'uui', which has already been fixed.

Matthias

Comment 6 andreas.schluens 2003-03-14 07:05:14 UTC
fwl and fwk was adapted; fwe and fwi uses old style
Comment 7 matthias.huetsch 2003-03-26 17:03:33 UTC
Hi Mathias,

Reopening for more affected libraries in the 'filter' module of
project 'framework':

libflash644ss.so	(framework/filter/source/flash)
libPptImporter644ss.so
(framework/filter/source/msframework/filter/powerpoint)
libpdffilter644ss.so	(framework/filter/source/pdf)
libsvgfilter644ss.so	(framework/filter/source/svg)
libxmlfa644ss.so	(framework/filter/source/xmlfilteradaptor)
libxmlfd644ss.so	(framework/filter/source/xmlfilterdetect)

Please notify / dispatch to their respective owners.

Also affected is 'libucprmt1.so' (in 'ucb') which has already been
fixed.

Thanks,
Matthias
Comment 8 matthias.huetsch 2003-03-26 17:04:31 UTC
Reassigning to project owner...
Comment 9 matthias.huetsch 2003-03-26 18:37:55 UTC
Module 'filter' has already been added to 'cws_srx644_tune01', where
this issue shall be fixed.
Comment 10 Mathias_Bauer 2003-03-27 09:42:24 UTC
Aidan, I think you can help here. Please take care for your filters
and then reassign this bug report to Kai Ahrens, he can decide which
developer should take care for the draw/impress filters.
Comment 11 aidan.butler 2003-03-27 16:37:45 UTC
Aidan: I have added the map files to the xmlfd and xmlfa modules.
Changes have been committed to the tune01 CWS.
Reassigning to Kai, as per Michaels instructions.
Comment 12 ooo 2003-03-31 08:54:45 UTC
KA: Sven, please take care of this task for the filter project. AFAIK,
all external graphic filters also have a C API for the Import and
Export calls, so that you should take a look at the filters in goodies
project, too.
Comment 13 sven.jacobi 2003-04-01 12:48:00 UTC
This bug has been fixed in cws[tune01].
Comment 14 matthias.huetsch 2003-04-15 09:56:01 UTC
Verified...
Comment 15 matthias.huetsch 2003-04-29 13:24:42 UTC
Verified integration into SRX644/m12s1 -> closing.